package com.ssm.mapper.business;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ssm.model.business.SmsRecord;

public interface SmsRecordMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(SmsRecord record);

    int insertSelective(SmsRecord record);

    SmsRecord selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(SmsRecord record);

    int updateByPrimaryKey(SmsRecord record);

	List<SmsRecord> selectSmsRecord(@Param("smsRecord") SmsRecord smsRecord);
}